﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace DGXCEDependingOnField
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<DataModel> data { get; set; }
        public List<string> UnitCategories { get; set; }
        public static List<string> WeightUnits { get; set; }
        public static List<string> DistanceUnits { get; set; }

        public ViewModel()
        {
            this.data = new ObservableCollection<DataModel>();

            this.UnitCategories = new List<string>()
            {
                "Weight",
                "Distance"
            };

            WeightUnits = new List<string>()
            {
                "mg",
                "g",
                "kg"
            };

            DistanceUnits = new List<string>()
            {
                "cm",
                "m",
                "km"
            };

            DataModel data1 = new DataModel();
            data1.Item = "Item 1";
            data1.UnitCategory = this.UnitCategories[0];
            data1.Unit = WeightUnits[0];
            DataModel data2 = new DataModel();
            data2.Item = "Item 2";
            data2.UnitCategory = this.UnitCategories[1];
            data2.Unit = DistanceUnits[1];



            this.data.Add(data1);
            this.data.Add(data2);


        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged([CallerMemberName] string propertyName = "")
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    public class DataModel 
    {
        public string Item { get; set; }
        public string UnitCategory { get; set; }
        public string Unit { get; set; }


        public DataModel()
        {
          

        }
    }
}
